<div class="row aling-items-center">
  <div class="col-md-12">
    <h6 class="title">Residentes</h6>
    <div class="d-flex position-absolute" style="top: 4px; right: 16px;">
      <button class="btn btn-info btn-sm py-1" (click)="add()">
        Nuevo
      </button>
      <button class="btn btn-success text-white btn-sm py-1 mx-2" (click)="search.show()">
        Existente
      </button>
      <app-mover-residentes (onLoad)="moveToOnLoad()" [residente]="residente || null"></app-mover-residentes>
    </div>
  </div>
</div>

<div class="row">
  <div class="col-md-12">
    <div class="table-responsive scroll" style="max-height: 350px;">
      <table class="table table-bordered table-striped">
        <thead>
          <th>DNI</th>
          <th>Nombre</th>
          <th>Tipo</th>
          <th>Parentesco</th>
          <th></th>
        </thead>
        <tbody>
          <tr *ngFor="let r of residenciaService.model.Residentes | slice:pagination.skip:pagination.take">
            <td>{{ r.DNI }}</td>
            <td>{{ r.Nombre}} {{ r.Apellido }}</td>
            <td>{{ r.TipoResidenteDescripcion || '--' }}</td>
            <td class="p-0">
              <select class="form-control form-control-plaintext" name="parentesco" [(ngModel)]="r.ParentescoId"
                (change)="setParentesco(r)">
                <option *ngFor="let type of service.parentesco" [ngValue]="type.value">
                  {{ type.label }}
                </option>
              </select>
            </td>
            <td class="table-action">
              <!-- <button class="btn btn-info" (click)="edit(r)">
                              <i class="mdi mdi-pencil"></i>
                          </button> -->
              <a class="btn btn-sm btn-danger" (click)="delete(r)">
                <i class="mdi mdi-delete text-white"></i>
              </a>
            </td>
          </tr>
        </tbody>
        <tfoot>
          <tr>
            <td colspan="99" *ngIf="!residenciaService.model.Residentes
                                          || residenciaService.model.Residentes?.length === 0"
              class="text-center text-muted">
              Sin Asignar
            </td>
          </tr>
        </tfoot>
      </table>
    </div>
  </div>
</div>

<div class="row" *ngIf="residenciaService.model.Residentes?.length > 0">
  <div class="col-md-12 d-flex justify-content-center">
      <app-pagination [(page)]="pagination.Page" [limit]="pagination.Limit" 
          [total]="pagination.TotalCount">
      </app-pagination>
  </div>
</div>

<ng-template #form>
  <app-residente-form></app-residente-form>
</ng-template>

<search-template #search searchTitle="Residente" [service]="service" [columns]="columns"
  (onSelect)="selectedItem($event)" [filter]="filter" [busy]="service.busy">
</search-template>
